Bug 86528 - Update comms/lirc to 0.7.2
Update comms/lirc to 0.7.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mikeh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 16:10 UTC by darius
Modified: 2005-10-19 04:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darius 2005-09-24 16:10:11 UTC
Update the LIRC port to 0.7.2 & fix locking TTYs.

Fix: 

http://www.dons.net.au/~darius/lirc-0.7.2-port.diff

I contacted the maintainer on the 22nd of August but haven't had a reply yet.
Comment 1 mnag freebsd_committer 2005-09-25 06:11:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mikeh

Over to maintainer.
Comment 2 eugen 2005-09-29 19:17:47 UTC
Hi!

I've tried your patch.
Why did you move "CONFIGURE_ARGS+=--with-driver=irman" inside
".if ${OSVERSION} >= 500041"?

This prevents building the port using 4.11-STABLE,
but without this change it buils.

Eugene
Comment 3 darius 2005-09-30 01:34:21 UTC
On Friday 30 September 2005 03:47, Eugene Grosbein wrote:
> I've tried your patch.
> Why did you move "CONFIGURE_ARGS+=--with-driver=irman" inside
> ".if ${OSVERSION} >= 500041"?
>
> This prevents building the port using 4.11-STABLE,
> but without this change it buils.


Hmm I think I mangled my patch. I can't remember any reason why it would be 
necessary to do that.

-- 
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
Comment 4 mheffner 2005-10-17 02:33:27 UTC
Daniel,

Can you try this patch (only slightly modified) before I commit:

http://www.acm.vt.edu/~mheffner/diffs/lirc-0.72.diff

(also keep your patch-daemons::serial.c and patch-drivers::lirc.h files).


Cheers,

Mike


On 30-Sep-2005 Daniel O'Connor wrote:
> The following reply was made to PR ports/86528; it has been noted by GNATS.
> 
> From: "Daniel O'Connor" <darius@dons.net.au>
> To: Eugene Grosbein <eugen@kuzbass.ru>
> Cc: bug-followup@freebsd.org
> Subject: Re: ports/86528: Update comms/lirc to 0.7.2
> Date: Fri, 30 Sep 2005 10:04:21 +0930
> 
>  --nextPart1936058.5pXoAbQ6H2
>  Content-Type: text/plain;
>    charset="iso-8859-1"
>  Content-Transfer-Encoding: quoted-printable
>  Content-Disposition: inline
>  
>  On Friday 30 September 2005 03:47, Eugene Grosbein wrote:
>  > I've tried your patch.
>  > Why did you move "CONFIGURE_ARGS+=3D--with-driver=3Dirman" inside
>  > ".if ${OSVERSION} >=3D 500041"?
>  >
>  > This prevents building the port using 4.11-STABLE,
>  > but without this change it buils.
>  
>  Hmm I think I mangled my patch. I can't remember any reason why it would be=
>  =20
>  necessary to do that.
>  
>  =2D-=20
>  Daniel O'Connor software and network engineer
>  for Genesis Software - http://www.gsoft.com.au
>  "The nice thing about standards is that there
>  are so many of them to choose from."
>    -- Andrew Tanenbaum
>  GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
>  
>  --nextPart1936058.5pXoAbQ6H2
>  Content-Type: application/pgp-signature
>  
>  -----BEGIN PGP SIGNATURE-----
>  Version: GnuPG v1.4.1 (FreeBSD)
>  
>  iD8DBQBDPIgd5ZPcIHs/zowRAuFuAJ4ytKxMhnAY16Wrz5xCWFuof05UQwCfYrq3
>  J2jCCVQDdcgdjsNqgwJxHPk=
>  =s0+c
>  -----END PGP SIGNATURE-----
>  
>  --nextPart1936058.5pXoAbQ6H2--
> 
> 


Mike

-- 

  Mike Heffner   <mheffner@[acm.]vt.edu>
                     <mikeh@FreeBSD.org>
Comment 5 eugen 2005-10-17 10:13:42 UTC
Mike Heffner wrote:
> 
> Daniel,
> 
> Can you try this patch (only slightly modified) before I commit:
> 
> http://www.acm.vt.edu/~mheffner/diffs/lirc-0.72.diff
> 
> (also keep your patch-daemons::serial.c and patch-drivers::lirc.h files).

I'll try some hours later.
Comment 6 darius 2005-10-17 13:36:15 UTC
On Mon, 17 Oct 2005 11:03, Mike Heffner wrote:
> Can you try this patch (only slightly modified) before I commit:
>
> http://www.acm.vt.edu/~mheffner/diffs/lirc-0.72.diff
>
> (also keep your patch-daemons::serial.c and patch-drivers::lirc.h files).


I just did a quick test (compiled and ran without installation) and it works 
fine.

Commit away!

-- 
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
Comment 7 eugen 2005-10-18 16:52:19 UTC
On Sun, Oct 16, 2005 at 09:33:27PM -0400, Mike Heffner wrote:
> Daniel,
> 
> Can you try this patch (only slightly modified) before I commit:
> 
> http://www.acm.vt.edu/~mheffner/diffs/lirc-0.72.diff
> 
> (also keep your patch-daemons::serial.c and patch-drivers::lirc.h files).

It builds and installs OK for 4.11-STABLE.

Eugene
Comment 8 mikeh freebsd_committer 2005-10-19 04:42:37 UTC
State Changed
From-To: open->closed

Committed, thanks!